Package org.eclipse.rdf4j.sparqlbuilder.core.query

## Class ConstructQuery

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.query.Query<T>
  - - org.eclipse.rdf4j.sparqlbuilder.core.query.OuterQuery<ConstructQuery>
    - - org.eclipse.rdf4j.sparqlbuilder.core.query.ConstructQuery

- All Implemented Interfaces:
    `QueryElement`

      public class ConstructQuery
      extends OuterQuery<ConstructQuery>

  The SPARQL CONSTRUCT query
  See Also:
    SPARQL CONSTRUCT Query

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.core.query.OuterQuery

      `base, prefixes`

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.core.query.Query

      `bnodeCount, from, groupBy, having, limit, LIMIT, offset, OFFSET, orderBy, varCount, where`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstructQuery` | `construct​(GraphTemplate construct)` | Set this query's graph template
    `ConstructQuery` | `construct​(TriplePattern... patterns)` | Add triples to this query's graph template
    `protected String` | `getQueryActionString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.query.OuterQuery

      `base, base, base, getQueryString, prefix, prefix, prefix`

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.query.Query

      `bNode, from, from, groupBy, groupBy, having, having, limit, offset, orderBy, orderBy, var, where, where`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### construct

          public ConstructQuery construct​(TriplePattern... patterns)

      Add triples to this query's graph template
      Parameters:
        `patterns` - the triples to include in the graph template
      Returns:
        this

    - #### construct

          public ConstructQuery construct​(GraphTemplate construct)

      Set this query's graph template
      Parameters:
        `construct` - the `GraphTemplate` to set
      Returns:
        this

    - #### getQueryActionString

          protected String getQueryActionString()

      Specified by:
        `getQueryActionString` in class `Query<ConstructQuery>`